############################################################################
#
#    rules.mk - make definitions and rules
#
############################################################################


CC:= gcc
LD:= ld
RM:= rm -f

KERNEL_INCLUDES:=/usr/src/linux/include

ifdef DEBUG_CFLAGS
CFLAGS := $(DEBUG_CFLAGS) -g -Wall -O -I. -D__KERNEL__ -DMODULE -DEXPORT_SYMTAB -I$(KERNEL_INCLUDES)
else
CFLAGS := -Wall -pipe -O3 -fomit-frame-pointer -I. -D__KERNEL__ -DMODULE -DEXPORT_SYMTAB -DMODVERSIONS --include $(KERNEL_INCLUDES)/linux/modversions.h -I$(KERNEL_INCLUDES)
endif


.PHONY: all dep generic-dep clean clean-build-profile


#
# rules
#

%.o: %.c .build_profile
	$(CC) $(CFLAGS) $(EXTRA_CFLAGS) $(CFLAGS_$@) -o $@ -c $<

dep: generic-dep
generic-dep:
	$(RM) .depend
	$(foreach src,$(wildcard *.c),$(CC) -M $(CFLAGS) $(EXTRA_CFLAGS) $(CFLAGS_$(src:.c=.o)) -c $(src) >> .depend ;)

-include .depend

# build_profile
-include .build_profile

.build_profile::
ifneq ($(CFLAGS),$(PROFILE_CFLAGS))
	@if [ "$(CFLAGS) $(EXTRA_CFLAGS)" != "$(PROFILE_CFLAGS)" ] ; then \
	  echo "rebuild profile..." ; \
	  echo "PROFILE_CFLAGS=$(CFLAGS) $(EXTRA_CFLAGS)" > $(@) ; fi
endif

clean: clean-build-profile
clean-build-profile:
	@$(RM) -f .build_profile



